mysql(1)

NAME
mysqldumpslow - Parse and summarize the MySQL slow query log.

SYNOPSIS
mysqldumpslow [options]

DESCRIPTION
This program parses and summarizes a 'slow query log'.

-v  verbose

-d  debug

-s=WORD
    what to sort by (t, at, l, al, r, ar etc)

-r  reverse the sort order (largest last instead of first)

-t=NUMBER
    just show the top n queries

-a  don't abstract all numbers to N and strings to 'S'

-n=NUMBER
    abstract numbers with at least n digits within names

-g=WORD
    grep: only consider stmts that include this string

-h=WORD
    hostname of db server for *-slow.log filename (can be wildcard)

-i=WORD
    name of server instance (if using mysql.server startup script)

-l  don't subtract lock time from total time

SEE ALSO
mysql (1), mysqld (1)

AUTHOR
This manpage was written by Christian Hammers <ch@debian.org> based on the commends in the code. MySQL is available at http://www.mysql.com/.